Skip to main content
GET
/
api
/
v1
/
misc
/
facebook
/
recommendations
List imported Facebook recommendations
curl --request GET \
  --url https://api.bundle.social/api/v1/misc/facebook/recommendations \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.bundle.social/api/v1/misc/facebook/recommendations"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.bundle.social/api/v1/misc/facebook/recommendations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "recommendations": [
    {
      "id": "<string>",
      "socialAccountId": "<string>",
      "teamId": "<string>",
      "externalRecommendationId": "<string>",
      "hasMedia": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "openGraphStoryId": "<string>",
      "reviewerDisplayName": "<string>",
      "reviewerProfilePhotoUrl": "<string>",
      "rating": 123,
      "comment": "<string>",
      "mediaSummary": [
        "<string>"
      ],
      "ownerReplyComment": "<string>",
      "ownerReplyCommentId": "<string>",
      "ownerReplyUpdatedAt": "2023-11-07T05:31:56Z",
      "createTime": "2023-11-07T05:31:56Z",
      "updateTime": "2023-11-07T05:31:56Z",
      "importedAt": "2023-11-07T05:31:56Z",
      "deletedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "remainingCapacity": 123
}
{
"message": "<string>",
"statusCode": 123,
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}
{
"message": "<string>",
"statusCode": 123
}

Authorizations

x-api-key
string
header
required

Query Parameters

teamId
string
required
limit
number
default:50
Required range: 1 <= x <= 100
offset
number | null
default:0
Required range: x >= 0

Response

200

recommendations
object[]
required
total
number
required
limit
number
required
remainingCapacity
number
required